Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.reasoner.dig
Interface DIGIdentifier

    public interface DIGIdentifier

A structure that presents identification information about the attached DIG reasoner.

Version:
  Release @release@ ($Id: DIGIdentifier.java,v 1.8 2008/01/02 12:07:11 andy_seaborne Exp $)
Author:
  Ian Dickinson, HP Labs (email)

Method Summary
`java.lang.String` | `getMessage()` Answer the message string from the DIG identifier element.
`java.lang.String` | `getName()` Answer the name of the attached reasoner, as a string.
`java.lang.String` | `getVersion()` Answer the version string of the attached reasoner.
`java.util.Iterator` | `supportsAsk()` Answer an iterator over the ASK verbs that this reasoner supports.
`java.util.Iterator` | `supportsLanguage()` Answer an iterator over the language elements that this reasoner supports.
`java.util.Iterator` | `supportsTell()` Answer an iterator over the TELL verbs that this reasoner supports.

Method Detail

### getName

    java.lang.String getName()

  Answer the name of the attached reasoner, as a string.

  Returns:
    The name of the DIG reasoner.

### getVersion

    java.lang.String getVersion()

  Answer the version string of the attached reasoner.

  Returns:
    The version string for the reasoner.

### getMessage

    java.lang.String getMessage()

  Answer the message string from the DIG identifier element.

  Returns:
    The identification message

### supportsLanguage

    java.util.Iterator supportsLanguage()

  Answer an iterator over the language elements that this reasoner supports.

  Returns:
    An iterator, each element of which is a string denoting a DIG language term that the attached reasoner supports.

### supportsTell

    java.util.Iterator supportsTell()

  Answer an iterator over the TELL verbs that this reasoner supports.

  Returns:
    An iterator, each element of which is a string denoting a DIG TELL verb that the attached reasoner supports.

### supportsAsk

    java.util.Iterator supportsAsk()

  Answer an iterator over the ASK verbs that this reasoner supports.

  Returns:
    An iterator, each element of which is a string denoting a DIG ASK verb that the attached reasoner supports.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP